Module jdk.compiler
Package com.sun.source.tree

## Interface ProvidesTree

- All Superinterfaces:
    `DirectiveTree`, `Tree`

      public interface ProvidesTree
      extends DirectiveTree

  A tree node for a 'provides' directive in a module declaration. For example:

          provides service-name with implementation-name;

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends ExpressionTree>` | `getImplementationNames​()` | Returns the names of the implementation types being provided.
    `ExpressionTree` | `getServiceName​()` | Returns the name of the service type being provided.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getServiceName

          ExpressionTree getServiceName​()

      Returns the name of the service type being provided.
      Returns:
        the name of the service type being provided

    - #### getImplementationNames

          List<? extends ExpressionTree> getImplementationNames​()

      Returns the names of the implementation types being provided.
      Returns:
        the names of the implementation types being provided